Add an item to a dataset
curl --request POST \
--url https://api.trulayer.ai/v1/datasets/{id}/items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"trace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"span_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"feedback_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>"
}
'import requests
url = "https://api.trulayer.ai/v1/datasets/{id}/items"
payload = {
"trace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"span_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"feedback_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
trace_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
span_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
feedback_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
label: '<string>'
})
};
fetch('https://api.trulayer.ai/v1/datasets/{id}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"span_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"feedback_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "pass"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}datasets
Add an item to a dataset
POST
/
v1
/
datasets
/
{id}
/
items
Add an item to a dataset
Authorizations
SDK API key (tl_...) or Clerk session JWT
Path Parameters
Body
application/json
Response
Item added
Review label for the item. null (or omitted) means the item has
not been labeled yet. The frontend toggles this value via
PATCH /v1/datasets/{id}/items/{itemId}.
Available options:
pass, fail, unlabeled, null